Page MenuHomePhabricator

Absence of "last news" template on mobile version in Russian Wikinews
Closed, ResolvedPublic

Description

There are no last news on mobile version of main page of Russian Wikinews (https://ru.m.wikinews.org/).

Please add template "Последние новости" (Last News; https://ru.wikinews.org/?curid=1345) at the bottom of the main page on mobile version of Russian Wikinews.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2017, 10:18 AM
DonSimon renamed this task from Absense of last news to Absense of last news on mobile version in Russian Wikinews.Oct 21 2017, 10:20 AM

Why exactly Last News (Последние новости), not Most Popular News (Самые популярные новости) or any other template block of the desktop version?

Why exactly Last News (Последние новости), not Most Popular News (Самые популярные новости) or any other template block of the desktop version?

Because our project is about last news not olds.

Aklapper renamed this task from Absense of last news on mobile version in Russian Wikinews to Absence of "last news" template on mobile version in Russian Wikinews.Oct 21 2017, 12:50 PM

@DonSimon: You assigned this task to yourself. Does that mean you plan to work on fixing this? If not, please remove the assignee.

Base added a subscriber: Base.Oct 21 2017, 1:14 PM

Do you mean that adding id="mf-something" does not make the block appear on the mobile frontend main page?

DonSimon removed DonSimon as the assignee of this task.Oct 21 2017, 1:30 PM

Do you mean that adding id="mf-something" does not make the block appear on the mobile frontend main page?

Where should it be add?

DonSimon updated the task description. (Show Details)Oct 22 2017, 10:13 AM
Base added a comment.Oct 22 2017, 6:00 PM

https://www.mediawiki.org/wiki/Mobile_Gateway/Mobile_homepage_formatting#MFSpecialCaseMainPage :
you wrap the main page block in div with that sort of id. You can also take a look at ukwn main page code for example.

Now, from this page I linked I just learned that it is actually now a deprecated method… But it is easy to do one anyway, you may follow the more complex steps if you want though of course.

DonSimon added a comment.EditedOct 23 2017, 2:09 PM

I've solved the problem. Also, popular news have been added apart from last one as Neolexx told. Thanks Base for help.

DonSimon closed this task as Resolved.Oct 23 2017, 2:15 PM
DonSimon claimed this task.